#
# spec file for package minuet
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           minuet
BuildRequires:  extra-cmake-modules >= 5.15.0
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(Qt5Core) >= 5.7.0
BuildRequires:  cmake(Qt5Quick) >= 5.7.0
BuildRequires:  cmake(Qt5Widgets) >= 5.7.0
BuildRequires:  pkgconfig(fluidsynth)
Url:            http://www.kde.org
Summary:        A KDE Software for Music Education
License:        GPL-2.0+
Group:          Productivity/Other
Version:        16.08.3
Release:        0
Source:         minuet-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Runtime requirement
Requires:       libqt5-qtquickcontrols2

%description
Application for Music Education.

Minuet aims at supporting students and teachers in many aspects
of music education, such as ear training, first-sight reading,
solfa, scales, rhythm, harmony, and improvisation.
Minuet makes extensive use of MIDI capabilities to provide a
full-fledged set of features regarding volume, tempo, and pitch
changes, which makes Minuet a valuable tool for both novice and
experienced musicians.

%package devel
Summary:        Minuet: Build Environment
Group:          Development/Libraries/KDE
Requires:       minuet = %{version}

%description devel
Development headers and libraries for Minuet.

%lang_package
%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file org.kde.minuet Music

%files
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_bindir}/minuet
%{_kf5_appstreamdir}/org.kde.minuet.appdata.xml
%{_kf5_applicationsdir}/org.kde.minuet.desktop
%{_kf5_htmldir}/en/minuet/
%{_kf5_iconsdir}/hicolor
%{_kf5_libdir}/libminuetinterfaces.so.*
%{_kf5_plugindir}/minuet/
%{_kf5_sharedir}/kxmlgui5/minuet/
%{_kf5_sharedir}/minuet/

%files devel
%doc COPYING* README*
%{_includedir}/minuet/
%{_kf5_libdir}/libminuetinterfaces.so
%{_kf5_libdir}/cmake/Minuet/

%changelog
